Bug 149611 - update graphics/tiff to 4.0.0, exp-run needed
update graphics/tiff to 4.0.0, exp-run needed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 10:10 UTC by dirk.meyer
Modified: 2010-08-28 10:14 UTC (History)
0 users

See Also:


Attachments
file.diff (2.55 KB, patch)
2010-08-13 10:10 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2010-08-13 10:10:07 UTC
New funtion in tiff are needed.
The tiff 4.0.0 (beta6) provide them.
Testing old apps with new libtiff shows no conflicts,
so I assume wwe do not need ito bump the shared lib.

Fix: Update tiff to 4.0.0
	Please test this patch on the cluster.
Comment 1 Edwin Groothuis freebsd_committer 2010-08-13 10:11:53 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-08-13 10:11:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Dirk Meyer freebsd_committer 2010-08-13 10:16:18 UTC
Responsible Changed
From-To: dinoex->portmgr

Request for exp-run
Comment 4 Mark Linimon freebsd_committer 2010-08-22 10:08:30 UTC
State Changed
From-To: open->feedback

Fails to patch: 

$ make patch 
===>  Patching for tiff-4.0.0 
===>  Applying FreeBSD patches for tiff-4.0.0 
Ignoring previously applied (or reversed) patch. 
1 out of 1 hunks ignored--saving rejects to man/TIFFClose.3tiff.rej 
=> Patch patch-TIFFClose.3tiff failed to apply cleanly. 
=> Patch(es) patch-Makefile.in applied cleanly. 
*** Error code 1 

Stop in /home/pcvs/ports/graphics/tiff.
Comment 5 dirk.meyer 2010-08-22 19:49:37 UTC
> Fails to patch:

This files need to be removed:

R files/patch-TIFFClose.3tiff
R files/patch-raw2tiff.1
R files/patch-tiffcmp.1
R files/patch-tiffsplit.1

see full patch below.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
http://people.freebsd.org/~dinoex/errorlogs/

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/tiff/Makefile,v
retrieving revision 1.76
diff -u -r1.76 Makefile
--- Makefile	16 Jun 2010 09:32:43 -0000	1.76
+++ Makefile	22 Aug 2010 18:47:57 -0000
@@ -8,7 +8,8 @@
 #
 
 PORTNAME=	tiff
-PORTVERSION=	3.9.4
+PORTVERSION=	4.0.0
+DISTVERSION=	4.0.0beta6
 CATEGORIES=	graphics
 MASTER_SITES=	ftp://ftp.remotesensing.org/pub/libtiff/ \
 		http://dl1.maptools.org/dl/libtiff/
@@ -19,6 +20,9 @@
 LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
 		jbig.1:${PORTSDIR}/graphics/jbigkit
 
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/COPYRIGHT
+
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	libtool:22
 CONFIGURE_ARGS+=	--with-jpeg-include-dir=${LOCALBASE}/include \
@@ -36,8 +40,8 @@
 MAN1=	bmp2tiff.1 tiff2pdf.1 fax2ps.1 fax2tiff.1 gif2tiff.1 pal2rgb.1 \
 	ppm2tiff.1 ras2tiff.1 raw2tiff.1 rgb2ycbcr.1 sgi2tiff.1 \
 	thumbnail.1 tiff2bw.1 tiff2ps.1 tiff2rgba.1 tiffcmp.1 tiffcp.1 \
-	tiffdither.1 tiffdump.1 tiffgt.1 tiffinfo.1 tiffmedian.1 \
-	tiffset.1 tiffsplit.1 tiffsv.1 tiffcrop.1
+	tiffcrop.1 tiffdither.1 tiffdump.1 tiffgt.1 tiffinfo.1 tiffmedian.1 \
+	tiffset.1 tiffsplit.1 tiffsv.1
 MAN3=	TIFFClose.3tiff TIFFDataWidth.3tiff TIFFError.3tiff TIFFFlush.3tiff \
 	TIFFGetField.3tiff TIFFOpen.3tiff TIFFPrintDirectory.3tiff \
 	TIFFRGBAImage.3tiff TIFFReadDirectory.3tiff \
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/tiff/distinfo,v
retrieving revision 1.29
diff -u -r1.29 distinfo
--- distinfo	16 Jun 2010 09:32:43 -0000	1.29
+++ distinfo	22 Aug 2010 18:47:57 -0000
@@ -1,3 +1,3 @@
-MD5 (tiff-3.9.4.tar.gz) = 2006c1bdd12644dbf02956955175afd6
-SHA256 (tiff-3.9.4.tar.gz) = 67b76d075fb74f7cb32e7e4b217701674755fe6cee0f463b259a753fce691da6
-SIZE (tiff-3.9.4.tar.gz) = 1436968
+MD5 (tiff-4.0.0beta6.tar.gz) = 6a1e51841a5a5062cc381e34a48122a0
+SHA256 (tiff-4.0.0beta6.tar.gz) = de016175742bcdd0cd6f326dd2e7bbc7154437d7bb09976ad4789016065061e6
+SIZE (tiff-4.0.0beta6.tar.gz) = 1968829
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/graphics/tiff/pkg-plist,v
retrieving revision 1.31
diff -u -r1.31 pkg-plist
--- pkg-plist	6 Nov 2009 19:57:51 -0000	1.31
+++ pkg-plist	22 Aug 2010 18:47:57 -0000
@@ -164,6 +164,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/v3.9.0beta.html
 %%PORTDOCS%%%%DOCSDIR%%/v3.9.1.html
 %%PORTDOCS%%%%DOCSDIR%%/v3.9.2.html
+%%PORTDOCS%%%%DOCSDIR%%/v4.0.0.html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/man
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/images
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
Index: files/patch-TIFFClose.3tiff
===================================================================
RCS file: files/patch-TIFFClose.3tiff
diff -N files/patch-TIFFClose.3tiff
--- files/patch-TIFFClose.3tiff	20 Sep 2008 07:33:20 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- man/TIFFClose.3tiff.orig	2008-08-17 13:03:49.058994404 -0400
-+++ man/TIFFClose.3tiff	2008-08-17 13:03:52.522727821 -0400
-@@ -40,7 +40,7 @@
- current directory (if modified); and all resources are reclaimed.
- .SH DIAGNOSTICS
- All error messages are directed to the
--.bR TIFFError (3TIFF)
-+.BR TIFFError (3TIFF)
- routine.
- Likewise, warning messages are directed to the
- .BR TIFFWarning (3TIFF)
Index: files/patch-raw2tiff.1
===================================================================
RCS file: files/patch-raw2tiff.1
diff -N files/patch-raw2tiff.1
--- files/patch-raw2tiff.1	20 Sep 2008 07:33:20 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- man/raw2tiff.1.orig	2008-08-17 13:03:49.042994359 -0400
-+++ man/raw2tiff.1	2008-08-17 13:03:52.519034963 -0400
-@@ -184,7 +184,7 @@
- in some cases. But for most ordinary images guessing method will work fine.
- .SH "SEE ALSO"
- .BR pal2rgb (1),
--.bR tiffinfo (1),
-+.BR tiffinfo (1),
- .BR tiffcp (1),
- .BR tiffmedian (1),
- .BR libtiff (3)
Index: files/patch-tiffcmp.1
===================================================================
RCS file: files/patch-tiffcmp.1
diff -N files/patch-tiffcmp.1
--- files/patch-tiffcmp.1	20 Sep 2008 07:33:20 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- man/tiffcmp.1.orig	2008-08-17 13:03:49.062994301 -0400
-+++ man/tiffcmp.1	2008-08-17 13:03:52.522727821 -0400
-@@ -77,7 +77,7 @@
- in some exotic cases. 
- .SH "SEE ALSO"
- .BR pal2rgb (1),
--.bR tiffinfo (1),
-+.BR tiffinfo (1),
- .BR tiffcp (1),
- .BR tiffmedian (1),
- .BR libtiff (3TIFF)
Index: files/patch-tiffsplit.1
===================================================================
RCS file: files/patch-tiffsplit.1
diff -N files/patch-tiffsplit.1
--- files/patch-tiffsplit.1	20 Sep 2008 07:33:20 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- man/tiffsplit.1.orig	2008-08-17 13:03:49.070994233 -0400
-+++ man/tiffsplit.1	2008-08-17 13:03:52.522727821 -0400
-@@ -50,7 +50,7 @@
- (e.g. 
- .IR xaaa.tif ,
- .IR xaab.tif ,
--\...
-+.IR ... ,
- .IR xzzz.tif ).
- If a prefix is not specified on the command line,
- the default prefix of
Comment 6 pav freebsd_committer 2010-08-24 12:28:52 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 7 pav freebsd_committer 2010-08-24 12:29:41 UTC
Responsible Changed
From-To: portmgr->pav

Take for exp-run
Comment 9 dfilter freebsd_committer 2010-08-26 17:17:33 UTC
dinoex      2010-08-26 16:17:20 UTC

  FreeBSD ports repository

  Modified files:
    graphics/tiff        Makefile distinfo pkg-plist 
  Removed files:
    graphics/tiff/files  patch-TIFFClose.3tiff patch-raw2tiff.1 
                         patch-tiffcmp.1 patch-tiffsplit.1 
  Log:
  - update to tiff 4.0.0
  - add LICENSE
  PR:             149611
  
  Revision  Changes    Path
  1.77      +7 -3      ports/graphics/tiff/Makefile
  1.30      +3 -3      ports/graphics/tiff/distinfo
  1.2       +0 -11     ports/graphics/tiff/files/patch-TIFFClose.3tiff (dead)
  1.2       +0 -11     ports/graphics/tiff/files/patch-raw2tiff.1 (dead)
  1.2       +0 -11     ports/graphics/tiff/files/patch-tiffcmp.1 (dead)
  1.2       +0 -11     ports/graphics/tiff/files/patch-tiffsplit.1 (dead)
  1.32      +1 -0      ports/graphics/tiff/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-08-26 17:36:52 UTC
dinoex      2010-08-26 16:36:39 UTC

  FreeBSD ports repository

  Modified files:
    x11/xloadimage       Makefile 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.43      +3 -1      ports/x11/xloadimage/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2010-08-26 20:10:55 UTC
dinoex      2010-08-26 19:10:45 UTC

  FreeBSD ports repository

  Modified files:
    graphics/liblug      Makefile 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.12      +5 -1      ports/graphics/liblug/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2010-08-26 21:08:24 UTC
dinoex      2010-08-26 20:08:09 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ocropus     Makefile 
  Added files:
    graphics/ocropus/files patch-ocr-voronoi__read_image.cc 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.8       +1 -1      ports/graphics/ocropus/Makefile
  1.1       +20 -0     ports/graphics/ocropus/files/patch-ocr-voronoi__read_image.cc (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter freebsd_committer 2010-08-26 21:11:40 UTC
dinoex      2010-08-26 20:11:29 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/p5-Prima Makefile 
  Added files:
    x11-toolkits/p5-Prima/files patch-codec_tiff.c 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.22      +1 -1      ports/x11-toolkits/p5-Prima/Makefile
  1.1       +11 -0     ports/x11-toolkits/p5-Prima/files/patch-codec_tiff.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter freebsd_committer 2010-08-26 21:18:03 UTC
dinoex      2010-08-26 20:17:55 UTC

  FreeBSD ports repository

  Modified files:
    comms/hylafax/files  patch-configure 
  Added files:
    comms/hylafax/files  patch-FileTransfer.c++ 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.1       +102 -0    ports/comms/hylafax/files/patch-FileTransfer.c++ (new)
  1.13      +13 -5     ports/comms/hylafax/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter freebsd_committer 2010-08-26 21:19:05 UTC
dinoex      2010-08-26 20:18:50 UTC

  FreeBSD ports repository

  Modified files:
    comms/hylafax        Makefile 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.99      +1 -1      ports/comms/hylafax/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 dfilter freebsd_committer 2010-08-28 09:57:59 UTC
dinoex      2010-08-28 08:57:50 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ocaml-images Makefile 
    graphics/ocaml-images/files patch-src_tiffread.c 
  Added files:
    graphics/ocaml-images/files patch-src_tiffwrite.c 
  Log:
  - fix after tiff update to 4.0.0
  PR:             149611
  
  Revision  Changes    Path
  1.32      +1 -1      ports/graphics/ocaml-images/Makefile
  1.2       +18 -4     ports/graphics/ocaml-images/files/patch-src_tiffread.c
  1.1       +20 -0     ports/graphics/ocaml-images/files/patch-src_tiffwrite.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 17 Dirk Meyer freebsd_committer 2010-08-28 10:14:31 UTC
State Changed
From-To: open->closed

all patches committed.